# Uses of Enum
org.eclipse.birt.report.engine.api.CompressionMode

Packages that use CompressionMode
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.

## Uses of CompressionMode in org.eclipse.birt.report.engine.api

Methods in org.eclipse.birt.report.engine.api that return CompressionMode
Modifier and Type
Method
Description
`CompressionMode`
DocxRenderOption.`getCompressionMode()`
Get the compression mode
`static CompressionMode`
CompressionMode.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CompressionMode[]`
CompressionMode.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.birt.report.engine.api with parameters of type CompressionMode
Modifier and Type
Method
Description
`void`
DocxRenderOption.`setCompressionMode(CompressionMode compressionMode)`
Set the compression mode